GET https://api.ap1.datadoghq.com/api/v2/app-builder/blueprints/slugs/{slugs}https://api.ap2.datadoghq.com/api/v2/app-builder/blueprints/slugs/{slugs}https://api.datadoghq.eu/api/v2/app-builder/blueprints/slugs/{slugs}https://api.ddog-gov.com/api/v2/app-builder/blueprints/slugs/{slugs}https://api.us2.ddog-gov.com/api/v2/app-builder/blueprints/slugs/{slugs}https://api.uk1.datadoghq.com/api/v2/app-builder/blueprints/slugs/{slugs}https://api.datadoghq.com/api/v2/app-builder/blueprints/slugs/{slugs}https://api.us3.datadoghq.com/api/v2/app-builder/blueprints/slugs/{slugs}https://api.us5.datadoghq.com/api/v2/app-builder/blueprints/slugs/{slugs}

概要

Retrieve app blueprints by their slugs. This endpoint requires any of the following permissions:

  • apps_run
  • apps_write
  • connections_read
  • connections_write

  • 引数

    パスパラメーター

    名前

    タイプ

    説明

    slugs [required]

    string

    A comma-separated list of blueprint slugs.

    応答

    OK

    The response for retrieving multiple blueprints.

    Expand All

    フィールド

    タイプ

    説明

    data

    [object]

    An array of blueprints.

    attributes [required]

    object

    The attributes of a blueprint resource.

    created_at [required]

    date-time

    The timestamp when the blueprint was created.

    definition [required]

    enum

    The app definition type. Allowed enum values: appDefinitions

    default: appDefinitions

    description [required]

    string

    A description of what the blueprint does.

    embedded_datastore_blueprints

    object

    Embedded datastore blueprints.

    embedded_native_actions

    [object]

    Embedded native actions.

    embedded_workflow_blueprints

    object

    Embedded workflow blueprints.

    integration_id

    string

    The integration ID associated with the blueprint.

    mocked_outputs

    object

    Mocked outputs for testing the blueprint.

    name [required]

    string

    The human-readable name of the blueprint.

    slug [required]

    string

    The unique slug identifier of the blueprint.

    tags

    [string]

    Tags associated with the blueprint.

    tile_background

    string

    The background style of the blueprint tile.

    tile_icon_action_fqn

    string

    The fully qualified name of the action used as the tile icon.

    updated_at [required]

    date-time

    The timestamp when the blueprint was last updated.

    id [required]

    uuid

    The ID of the blueprint.

    type [required]

    enum

    The resource type for a blueprint. Allowed enum values: blueprint

    {
      "data": [
        {
          "attributes": {
            "created_at": "",
            "definition": "appDefinitions",
            "description": "",
            "embedded_datastore_blueprints": {},
            "embedded_native_actions": [],
            "embedded_workflow_blueprints": {},
            "integration_id": "string",
            "mocked_outputs": {},
            "name": "AWS Service Manager",
            "slug": "aws-service-manager",
            "tags": [],
            "tile_background": "string",
            "tile_icon_action_fqn": "string",
            "updated_at": ""
          },
          "id": "65bb1f25-52e1-4510-9f8d-22d1516ed693",
          "type": "blueprint"
        }
      ]
    }

    Forbidden

    API error response.

    Expand All

    フィールド

    タイプ

    説明

    errors [required]

    [object]

    A list of errors.

    detail

    string

    A human-readable explanation specific to this occurrence of the error.

    meta

    object

    Non-standard meta-information about the error

    source

    object

    References to the source of the error.

    header

    string

    A string indicating the name of a single request header which caused the error.

    parameter

    string

    A string indicating which URI query parameter caused the error.

    pointer

    string

    A JSON pointer to the value in the request document that caused the error.

    status

    string

    Status code of the response.

    title

    string

    Short human-readable summary of the error.

    {
      "errors": [
        {
          "detail": "Missing required attribute in body",
          "meta": {},
          "source": {
            "header": "Authorization",
            "parameter": "limit",
            "pointer": "/data/attributes/title"
          },
          "status": "400",
          "title": "Bad Request"
        }
      ]
    }

    Too many requests

    API error response.

    Expand All

    フィールド

    タイプ

    説明

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    コード例

                      # Path parameters
    export slugs="aws-service-manager"
    # Use a Personal Access Token or Service Access Token
    export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

    # Curl command
    curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/app-builder/blueprints/slugs/${slugs}" \ -H "Accept: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"
    """
    Get Blueprints by Slugs returns "OK" response
    """
    
    from os import environ
    from datadog_api_client import ApiClient, Configuration
    from datadog_api_client.v2.api.app_builder_api import AppBuilderApi
    
    configuration = Configuration()
    configuration.access_token = environ["DD_BEARER_TOKEN"]
    with ApiClient(configuration) as api_client:
        api_instance = AppBuilderApi(api_client)
        response = api_instance.get_blueprints_by_slugs(
            slugs="aws-service-manager",
        )
    
        print(response)
    

    Instructions

    First install the library and its dependencies and then save the example to example.py and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" python3 "example.py"
    # Get Blueprints by Slugs returns "OK" response
    
    require "datadog_api_client"
    DatadogAPIClient.configure do |config|
      config.access_token = ENV["DD_BEARER_TOKEN"]
    end
    api_instance = DatadogAPIClient::V2::AppBuilderAPI.new
    p api_instance.get_blueprints_by_slugs("aws-service-manager")
    

    Instructions

    First install the library and its dependencies and then save the example to example.rb and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" rb "example.rb"
    // Get Blueprints by Slugs returns "OK" response
    
    package main
    
    import (
    	"context"
    	"encoding/json"
    	"fmt"
    	"os"
    
    	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
    	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
    )
    
    func main() {
    	ctx := datadog.NewDefaultContext(context.Background())
    	ctx = context.WithValue(ctx, datadog.ContextAccessToken, os.Getenv("DD_BEARER_TOKEN"))
    	configuration := datadog.NewConfiguration()
    	apiClient := datadog.NewAPIClient(configuration)
    	api := datadogV2.NewAppBuilderApi(apiClient)
    	resp, r, err := api.GetBlueprintsBySlugs(ctx, "aws-service-manager")
    
    	if err != nil {
    		fmt.Fprintf(os.Stderr, "Error when calling `AppBuilderApi.GetBlueprintsBySlugs`: %v\n", err)
    		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
    	}
    
    	responseContent, _ := json.MarshalIndent(resp, "", "  ")
    	fmt.Fprintf(os.Stdout, "Response from `AppBuilderApi.GetBlueprintsBySlugs`:\n%s\n", responseContent)
    }
    

    Instructions

    First install the library and its dependencies and then save the example to main.go and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" go run "main.go"
    // Get Blueprints by Slugs returns "OK" response
    
    import com.datadog.api.client.ApiClient;
    import com.datadog.api.client.ApiException;
    import com.datadog.api.client.v2.api.AppBuilderApi;
    import com.datadog.api.client.v2.model.GetBlueprintsResponse;
    
    public class Example {
      public static void main(String[] args) {
        ApiClient defaultClient = ApiClient.getDefaultApiClient();
        defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));
        AppBuilderApi apiInstance = new AppBuilderApi(defaultClient);
    
        try {
          GetBlueprintsResponse result = apiInstance.getBlueprintsBySlugs("aws-service-manager");
          System.out.println(result);
        } catch (ApiException e) {
          System.err.println("Exception when calling AppBuilderApi#getBlueprintsBySlugs");
          System.err.println("Status code: " + e.getCode());
          System.err.println("Reason: " + e.getResponseBody());
          System.err.println("Response headers: " + e.getResponseHeaders());
          e.printStackTrace();
        }
      }
    }
    

    Instructions

    First install the library and its dependencies and then save the example to Example.java and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" java "Example.java"
    // Get Blueprints by Slugs returns "OK" response
    use datadog_api_client::datadog;
    use datadog_api_client::datadogV2::api_app_builder::AppBuilderAPI;
    
    #[tokio::main]
    async fn main() {
        let configuration = datadog::Configuration::new();
        let api = AppBuilderAPI::with_config(configuration);
        let resp = api
            .get_blueprints_by_slugs("aws-service-manager".to_string())
            .await;
        if let Ok(value) = resp {
            println!("{:#?}", value);
        } else {
            println!("{:#?}", resp.unwrap_err());
        }
    }
    

    Instructions

    First install the library and its dependencies and then save the example to src/main.rs and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
    /**
     * Get Blueprints by Slugs returns "OK" response
     */
    
    import { client, v2 } from "@datadog/datadog-api-client";
    
    const configuration = client.createConfiguration({
      authMethods: {
        AuthZ: {
          accessToken: process.env.DD_BEARER_TOKEN as string,
        },
      },
    });
    const apiInstance = new v2.AppBuilderApi(configuration);
    
    const params: v2.AppBuilderApiGetBlueprintsBySlugsRequest = {
      slugs: "aws-service-manager",
    };
    
    apiInstance
      .getBlueprintsBySlugs(params)
      .then((data: v2.GetBlueprintsResponse) => {
        console.log(
          "API called successfully. Returned data: " + JSON.stringify(data)
        );
      })
      .catch((error: any) => console.error(error));
    

    Instructions

    First install the library and its dependencies and then save the example to example.ts and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" tsc "example.ts"